{pkgs, ...}: {
  wsl = {
    enable = true;
    defaultUser = "michael";
    interop.includePath = false;
  };

  environment.systemPackages = with pkgs; [
    nvim-custom
  ];

  my.zsh.enable = true;

  system.stateVersion = "24.05";
  hm.home.stateVersion = "24.05";
}
