{
  stdenv,
  fetchFromGitHub,
}:
stdenv.mkDerivation {
  pname = "keycloak-theme-keywind";
  version = "0.0.1-dev";

  src = fetchFromGitHub {
    owner = "michaelhthomas";
    repo = "keywind";
    rev = "f3f016ab34ac9731ef8dadd6e79406a3c2433a34";
    hash = "sha256-wronX44qyUIuoTSdKj01UlLrwH9U5qNkUuSouV+xSUU=";
  };

  installPhase = ''
    mkdir -p $out
    cp -a theme/keywind/login $out
  '';
}
